/* Fixar Letra Maiuscula em TODOS OS INPUTs */
input{
    font-variant:small-caps;
    text-transform:uppercase
}

.botoes-medio{
    width: 160px;
}



/*Botão Pulsa*/
.box-pulse {

    width:100%;
    width:250px;
    margin:0 auto;
    padding:0 30px;
}

.box-pulse a {

    text-decoration:none;
    display: inline-block;
    font-size: 1.1em;
    font-family:Verdana, Geneva, sans-serif;
    -webkit-transition: all 0.4s;
    -moz-transition: all 0.4s;
    -o-transition: all 0.4s;
    transition: all 0.4s;

}

.botao-pulse {
    padding: 20px 30px;
    color: #fff;
    background-color: #d20000;
    border-radius:3px;
    -webkit-animation: pulse 1s ease infinite;
    -moz-animation: pulse 1s ease infinite;
    -ms-animation: pulse 1s ease infinite;
    -o-animation: pulse 1s ease infinite;
    animation: pulse 1s ease infinite;
}

.botao-pulse:hover {
    color: #fff;
}

@-webkit-keyframes pulse {
    0% {
        -webkit-transform: scale(1);
    }

    25% {
        -webkit-transform: scale(1.2);
    }

    50% {
        -webkit-transform: scale(1);
    }

    100% {
        -webkit-transform: scale(1);
    }
}

@-moz-keyframes pulse {
    0% {
        -moz-transform: scale(1);
    }

    25% {
        -moz-transform: scale(1.2);
    }

    50% {
        -moz-transform: scale(1);
    }

    100% {
        -moz-transform: scale(1);
    }
}

@-ms-keyframes pulse {
    0% {
        -ms-transform: scale(1);
    }

    25% {
        -ms-transform: scale(1.2);
    }

    50% {
        -ms-transform: scale(1);
    }

    100% {
        -ms-transform: scale(1);
    }
}

@-o-keyframes pulse {

    0% {
        -o-transform: scale(1);
    }
    25% {
        -o-transform: scale(1.2);
    }
    50% {
        -o-transform: scale(1);
    }
    100% {
        -o-transform: scale(1);
    }

}

@keyframes pulse {

    0% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.1);
    }
    100% {
        transform: scale(1);
    }
}

/*Botão Pulsa*/


.rounded-button {
    position: fixed;
    width: 60px;
    height: 60px;
    right: 30px;
    border-radius: 50%;
    border: none;
    color: white;
    font-size: 30px;
    box-shadow: 1px 1px 2px #888;
    cursor: pointer;
    transition: width 0.3s ease, background-color 0.3s ease;
    z-index: 1000;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    padding: 0 10px;
}

.rounded-button i {
    transition: transform 0.3s ease;
}

.rounded-button:hover {
    width: 150px;
    border-radius: 25px;
}

.button-text {
    display: none;
    margin-left: 10px;
    font-size: 18px;
}

.rounded-button:hover .button-text {
    display: inline;
}

.rounded-button:hover i {
    transform: translateX(-10px);
}


/** NOVO ESTILO JQGRID **/
/*****/

.ui-jqgrid {
    border: 1px solid #dfdfdf;
    border-radius: 5px;
    box-shadow: -1px 2px 3px lightgrey;
    background: none !important;
}

.ui-jqgrid .ui-widget-content {
    background: none;
}

.ui-jqgrid .ui-state-hover {
    background: #8ee3f4 !important;
}

.ui-jqgrid .ui-state-highlight {
    background: #ffe971 !important;
    color: brown !important;
}

.ui-jqgrid .ui-jqgrid-hdiv {
    background: linear-gradient(180deg, #2884ca 0%, rgba(35,122,190,1) 100%) !important;
    color: white !important;
}

.ui-jqgrid .ui-widget-header {
    border: none;
}

.ui-jqgrid .ui-jqgrid-hdiv th {
    border: 1px solid #dfdfdf;
    background: linear-gradient(180deg, #2884ca 0%, rgba(35,122,190,1) 100%);
}

.ui-jqgrid .ui-jqgrid-pager {
    border: 1px solid #dfdfdf;
    background: linear-gradient(180deg, #2884ca 0%, rgba(35,122,190,1) 100%) !important;
    color: white !important;
}

.ui-jqgrid .ui-jqgrid-btable tr.jqgrow {
    border: 1px solid #dfdfdf;
}

.ui-jqgrid .ui-jqgrid-btable tr.jqgrow:nth-child(even) {
    background-color: #e7e7e7;
}

.ui-jqgrid .ui-jqgrid-bdiv::-webkit-scrollbar,
.ui-jqgrid .ui-jqgrid-btable::-webkit-scrollbar {
    width: 6px;
    height: 6px;
    background-color: #f1f1f1;
}

.ui-jqgrid .ui-jqgrid-bdiv::-webkit-scrollbar-thumb,
.ui-jqgrid .ui-jqgrid-btable::-webkit-scrollbar-thumb {
    background-color: #2884ca;
    border-radius: 10px;
}

.ui-jqgrid .ui-jqgrid-bdiv::-webkit-scrollbar-thumb:hover,
.ui-jqgrid .ui-jqgrid-btable::-webkit-scrollbar-thumb:hover {
    width: 12px;
    height: 12px;
    background-color: rgba(35,122,190,1);
}

.ui-jqgrid .ui-jqgrid-bdiv::-webkit-scrollbar-track,
.ui-jqgrid .ui-jqgrid-btable::-webkit-scrollbar-track {
    background-color: #f1f1f1;
}

.ui-jqgrid .ui-jqgrid-bdiv::-webkit-scrollbar-button,
.ui-jqgrid .ui-jqgrid-btable::-webkit-scrollbar-button
{
    background-color: transparent;
}

.ui-jqgrid .ui-pg-input {
    background-color: white;
    color: black;
}

.ui-jqgrid .ui-pg-selbox {
    background-color: transparent;
    color: transparent;
    pointer-events: none;
}

/* Tema Claro */
.light-theme .ui-jqgrid {
    border: 1px solid #dfdfdf;
    box-shadow: -1px 2px 3px lightgrey;
}

.light-theme .ui-jqgrid .ui-jqgrid-btable tr.jqgrow {
    border: 1px solid #dfdfdf;
}

.light-theme .ui-jqgrid .ui-jqgrid-btable tr.jqgrow:nth-child(even) {
    background-color: #e7e7e7;
}

.light-theme .ui-jqgrid .ui-jqgrid-bdiv::-webkit-scrollbar-thumb,
.light-theme .ui-jqgrid .ui-jqgrid-btable::-webkit-scrollbar-thumb {
    background-color: #2884ca;
}

.light-theme .ui-jqgrid .ui-jqgrid-bdiv::-webkit-scrollbar-track,
.light-theme .ui-jqgrid .ui-jqgrid-btable::-webkit-scrollbar-track {
    background-color: #f1f1f1;
}

@-moz-document url-prefix() {
    .light-theme .ui-jqgrid .ui-jqgrid-bdiv,
    .light-theme .ui-jqgrid .ui-jqgrid-btable {
        scrollbar-width: auto;
        scrollbar-color: rgba(35,122,190,1) #e7e7e7;
    }
}

/* Tema Escuro */
.dark-theme .ui-jqgrid {
    border: 1px solid #4a4a4a;
    box-shadow: none;
}

.dark-theme .ui-jqgrid .ui-jqgrid-btable tr.jqgrow {
    border: 1px solid #4a4a4a;
    background-color: #333;
    color: white;
}

.dark-theme .ui-jqgrid .ui-jqgrid-btable tr.jqgrow:nth-child(even) {
    background-color: #444;
}

.dark-theme .ui-jqgrid .ui-jqgrid-bdiv::-webkit-scrollbar-thumb,
.dark-theme .ui-jqgrid .ui-jqgrid-btable::-webkit-scrollbar-thumb {
    background-color: #2884ca;
}

.dark-theme .ui-jqgrid .ui-jqgrid-bdiv::-webkit-scrollbar-track,
.dark-theme .ui-jqgrid .ui-jqgrid-btable::-webkit-scrollbar-track {
    background-color: #444;
}

.dark-theme .ui-jqgrid .ui-jqgrid-bdiv::-webkit-scrollbar-button,
.dark-theme .ui-jqgrid .ui-jqgrid-btable::-webkit-scrollbar-button {
    background-color: #444;
}

@-moz-document url-prefix() {
    .dark-theme .ui-jqgrid .ui-jqgrid-bdiv,
    .dark-theme .ui-jqgrid .ui-jqgrid-btable {
        scrollbar-width: auto;
        scrollbar-color: rgba(35,122,190,1) #333;
    }
}

/** FINAL NOVO ESTILO JQGRID **/
/*****/

.ui-autocomplete {
    background: #fcfdfd url("images/ui-bg_inset-hard_100_fcfdfd_1x100.png") 50% bottom repeat-x !important;
    color: #222222;
}

.pm-circle-container {
    width: 100px;
    height: 100px;
    position: relative;
    display: inline-block;
}

.pm-circle-container.small {
    width: 60px;
    height: 60px;
}

.pm-circle {
    transform: rotate(-90deg);
    width: 100%;
    height: 100%;
}

.pm-bg {
    fill: none;
    stroke: #eee;
    stroke-width: 3.8;
}

.pm-progress {
    fill: none;
    stroke-width: 3.8;
    stroke-linecap: round;
    transition:
        stroke-dasharray 0.8s cubic-bezier(0.55, 0.085, 0.68, 0.53),
        stroke 0.3s ease;
}

.pm-circle-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-weight: bold;
}
